-- 基础信息
base_info = {
	group_id = 247009003
}

-- DEFS_MISCS
local GroupId = 247009003
local point_id_list = {}
local MainGroupID = 247009001
local RegionID = 3001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 3001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 79.532, y = -0.608, z = 479.821 } }
}

-- 触发器
triggers = {
	{ config_id = 1003001, name = "ENTER_REGION_3001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 3002, pos = { x = 79.482, y = -0.619, z = 493.198 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 3003, pos = { x = 76.486, y = -0.619, z = 492.496 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 3004, pos = { x = 82.709, y = -0.619, z = 492.612 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 3005, pos = { x = 72.574, y = -0.619, z = 491.288 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 3006, pos = { x = 86.647, y = -0.619, z = 490.841 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 3007, pos = { x = 70.127, y = -0.619, z = 488.789 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 3008, pos = { x = 89.882, y = -0.619, z = 488.807 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 3009, pos = { x = 69.315, y = -0.619, z = 486.254 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 16 },
	{ config_id = 3010, pos = { x = 89.995, y = -0.619, z = 485.906 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 3011, pos = { x = 69.265, y = -0.619, z = 483.160 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 16 },
	{ config_id = 3012, pos = { x = 79.551, y = -0.619, z = 491.886 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 },
	{ config_id = 3013, pos = { x = 74.655, y = -0.619, z = 489.920 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 },
	{ config_id = 3014, pos = { x = 84.605, y = -0.619, z = 490.093 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 },
	{ config_id = 3015, pos = { x = 71.255, y = -0.619, z = 486.823 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 32 },
	{ config_id = 3016, pos = { x = 88.792, y = -0.619, z = 485.801 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 32 },
	{ config_id = 3017, pos = { x = 71.704, y = -0.619, z = 481.166 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 32 },
	{ config_id = 3018, pos = { x = 88.203, y = -0.619, z = 479.886 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 32 },
	{ config_id = 3019, pos = { x = 74.712, y = -0.619, z = 477.355 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 32 },
	{ config_id = 3020, pos = { x = 84.783, y = -0.619, z = 476.545 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 32 },
	{ config_id = 3021, pos = { x = 79.543, y = -0.619, z = 474.490 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 },
	{ config_id = 3022, pos = { x = 69.536, y = -0.619, z = 492.228 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 3023, pos = { x = 89.603, y = -0.619, z = 492.228 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 3024, pos = { x = 69.536, y = -0.619, z = 473.202 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 3025, pos = { x = 89.603, y = -0.619, z = 473.202 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 3026, pos = { x = 71.270, y = -0.619, z = 492.228 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 3027, pos = { x = 91.336, y = -0.619, z = 492.228 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 3028, pos = { x = 71.270, y = -0.619, z = 473.202 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 3029, pos = { x = 91.336, y = -0.619, z = 473.202 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 3030, pos = { x = 66.854, y = -0.619, z = 492.228 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 3031, pos = { x = 86.921, y = -0.619, z = 492.228 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 3032, pos = { x = 66.854, y = -0.619, z = 473.202 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 3033, pos = { x = 86.921, y = -0.619, z = 473.202 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 3034, pos = { x = 78.356, y = -0.619, z = 486.237 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3035, pos = { x = 80.588, y = -0.619, z = 486.237 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3036, pos = { x = 76.443, y = -0.619, z = 486.237 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3037, pos = { x = 82.634, y = -0.619, z = 486.237 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3038, pos = { x = 74.571, y = -0.619, z = 486.237 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3039, pos = { x = 84.472, y = -0.619, z = 486.237 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3040, pos = { x = 76.326, y = -0.619, z = 483.866 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3041, pos = { x = 82.372, y = -0.619, z = 483.866 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3042, pos = { x = 80.588, y = -0.619, z = 483.866 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3043, pos = { x = 78.356, y = -0.619, z = 483.866 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 3044, pos = { x = 79.974, y = -0.608, z = 486.711 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 3001 },
		triggers = { "ENTER_REGION_3001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
